// Covox.h: interface for the CCovox class.
//


#pragma once

#include "Speaker.h"

class CCovox : public CSpeaker
{
	protected:
		bool                m_bStereo;

	public:
		CCovox();
		virtual ~CCovox() override;
		virtual void ReInit() override;

		virtual void        SetSample(WORD inVal) override;
		virtual bool        GetSample(double &sampleL, double &sampleR) override;

		inline void         SetStereo(bool b)
		{
			m_bStereo = b;
		};
		inline bool         IsStereo()
		{
			return m_bStereo;
		};
};
